SendPasswordReset

POST/auth/v1/password/reset

Request Body

required
application/json
{
  "$ref": "#/components/schemas/auth.v1.SendPasswordResetRequest",
  "$ref-value": {
    "type": "object",
    "properties": {
      "email": {
        "type": "string",
        "title": "email"
      }
    },
    "title": "SendPasswordResetRequest",
    "additionalProperties": false
  }
}

Response Body

200application/json

Success

type: unknown

{
  "$ref": "#/components/schemas/google.protobuf.Empty",
  "$ref-value": {
    "type": "object",
    "description": "An empty JSON object."
  }
}
curl -X POST "https://api.rixl.com/auth/v1/password/reset" \
  -H "Content-Type: application/json" \
  -d '{}'

Success

application/json

{
  "$ref": "#/components/schemas/google.protobuf.Empty",
  "$ref-value": {
    "type": "object",
    "description": "An empty JSON object."
  }
}